summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-11-24 16:53:06 +0000
committerJim Meyering <jim@meyering.net>2002-11-24 16:53:06 +0000
commit58578136491e7cf70890d290c5fc4142a1007527 (patch)
tree33692354499ac67c102a14700d7745d15bcbbe48 /tests
parentce2fb082589a9824768075d863e7df30e889c9e0 (diff)
downloadcoreutils-58578136491e7cf70890d290c5fc4142a1007527.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/du/trailing-slash39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/du/trailing-slash b/tests/du/trailing-slash
new file mode 100755
index 000000000..61ecfb773
--- /dev/null
+++ b/tests/du/trailing-slash
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Ensure that du works properly for an argument that refers to a
+# symbolic link, and that is specified with a trailing slash.
+# Before coreutils-4.5.3, it would remove a single trailing slash.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir -p dir/1/2 || framework_failure=1
+ln -s dir slink || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+du slink/ | sed 's/^[1-9][0-9]* //' > out
+cat <<\EOF > exp
+slink/1/2
+slink/1
+slink/
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit $fail